- @page_title = t('.title', name: @family.name)

= render 'layouts/page_actions', back_url: admin_families_path,
                                 edit_url: edit_admin_family_path(@family),
                                 destroy_url: admin_family_path(@family)

._show-page
  %aside._show-page__panel
    %section
      %dl
        %dt= t('generic.definition', value: t('generic.id'))
        %dd.-text--monospace= @family.id

        %dt= t('generic.definition', value: t('activerecord.attributes.family.name'))
        %dd= @family.name

        %dt= t('generic.definition', value: t('activerecord.attributes.family.sync_id'))
        %dd= @family.sync_id.presence || '-'

        %dt= t('generic.definition', value: t('activerecord.attributes.family.kingdom'))
        %dd= @family.kingdom

        %dt= t('generic.definition', value: t('activerecord.attributes.family.source'))
        = missing_data_element :dd, @family.source.present?, url: edit_admin_family_path(@family) do
          - link_to @family.source, @family.source, rel: 'noreferrer noopener'

  ._show-page__content.-grid-2.-gap
    %section
      %h2= t('.genera')
      - if @family.genera.empty?
        .rui-empty= t('generic.nothing_to_display_yet')
      - else
        %table
          %thead
            %tr
              %th= t('activerecord.attributes.genus.name')
              %th
          %tbody
            - @family.genera.each do |genus|
              %tr
                %td= link_to genus.name, admin_genus_url(genus)
                %td.-actions
                  = render 'layouts/entity_actions', edit_url: edit_admin_genus_path(genus),
                                                     destroy_url: admin_genus_path(genus)
      .rui-actions
        = link_to t('.new_genus'),
                  new_admin_genus_path(params: { family_id: @family.id }),
                  class: 'rui-button rui-button--creative'
    %section= render 'admin/versions/versions', entity: @family
